
title: KaleidoVision
slug: kaleidovision
media: iOS application
date: 2011
shortdesc: >
    <em>KaleidoVision</em> applies various kaleidoscope-style visual effects to videos.

longdesc: >
    
    <p><a href="https://itunes.apple.com/us/app/kaleidovision/id469253573?mt=8&uo=4" target="itunes_store"><img src="https://r.mzstatic.com/images/web/linkmaker/badge_appstore-lrg.gif" alt="KaleidoVision - LEDARTIST LLC" style="border: 0;"/></a></p>
    <p>The app works by gaining access to pixel data for videos stored on the device. The pixel data is loaded into an OpenGL ES texture. The various fragments of the kaleidoscope effect are then rendered as OpenGL quads and triangles.</p>
    <p>During interaction a recorder stores user touches and swipes, saving them so that they can be replayed later.</p>

soundScore: 0.0
electronicsScore: 0.0

lightScore: 0.0
projectionScore: 0.0

awesomeScore: 0.4
iOSScore: 1.0

